import { Address, Platform, UniversalAddress } from "@wormhole-foundation/connect-sdk";
import { AnyAlgorandAddress } from "./types";
export declare const AlgorandZeroAddress = "AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAY5HFKQ";
export declare class AlgorandAddress implements Address {
    static readonly byteSize = 32;
    static readonly platform: Platform;
    readonly type: string;
    private readonly address;
    constructor(address: AnyAlgorandAddress);
    unwrap(): string;
    toString(): string;
    toNative(): this;
    toUint8Array(): Uint8Array;
    toUniversalAddress(): UniversalAddress;
    toBigInt(): bigint;
    toInt(): number;
    equals(other: AlgorandAddress | UniversalAddress): boolean;
    static instanceof(address: any): address is AlgorandAddress;
}
declare global {
    namespace WormholeNamespace {
        interface PlatformToNativeAddressMapping {
            Algorand: AlgorandAddress;
        }
    }
}
//# sourceMappingURL=address.d.ts.map